// __author__ = Juan Carlos De Abreu (jcabreur@gmail.com)

#include "DataVoid.h"

BEGIN_TEG_NAMESPACE();

DataVoid::DataVoid() : IData(DATA_VOID) { }
DataVoid::~DataVoid() { }

SmartPointer<IData> DataVoid::resolve(std::map<std::string, SmartPointer<IData>>& variables) {
  return NULL;
}

// for the "." operator
SmartPointer<IData> DataVoid::getAttribute(std::string attrName) {
  return NULL;
}

SmartPointer<IData> DataVoid::getMethod(SmartPointer<IData> elem, std::map<std::string, SmartPointer<IData>>& variables) {
  return NULL;
}

END_TEG_NAMESPACE();
